## python-securesystemslib 0.20.0

=== requirements.txt ===
# All runtime requirements including extras (see 'install_requires' and
# 'extras_require' in setup.py)
#
# This file together with 'pip-compile' is used to generate a pinned
# requirements file with all immediate and transitive dependencies.
#
# 'requirements-pinned.txt' is updated on GitHub with Dependabot, which
# triggers CI/CD builds to automatically test against updated dependencies.
#
# Below instructions can be used to re-generate 'requirements-pinned.txt', e.g.
# if:
# - requirements are added or removed from this file
# - Python version support is changed
# - CI/CD build breaks due to updates (e.g. transitive dependency conflicts)
#
# 1. Use this script to create a pinned requirements file for each Python
#    version
# ```
# for v in 2.7 3.6 3.7 3.8 3.9; do
#   mkvirtualenv sslib-env-${v} -p python${v};
#   pip install pip-tools;
#   pip-compile --no-header -o requirements-${v}.txt requirements.txt;
#   deactivate;
#   rmvirtualenv sslib-env-${v};
# done;
#
# ```
# 2. Use this command to merge per-version files
#    `sort -o requirements-pinned.txt -u requirements-?.?.txt`
# 2. Manually add environment markers to requirements-pinned.txt
# 3. Use this command to remove per-version files
#    `rm requirements-?.?.txt`
#
cryptography >= 3.3.2; python_version >= '3'
cryptography >= 3.3.2, < 3.4; python_version < '3'
pynacl
colorama
six
subprocess32; python_version < '3'

## python-securesystemslib 0.11.3

=== debian/changelog ===
python-securesystemslib (0.11.3-2) unstable; urgency=medium

  * No change source upload to allow migration to bullseye.

 -- Holger Levsen <holger@debian.org>  Sat, 19 Oct 2019 01:30:45 +0200

python-securesystemslib (0.11.3-1) unstable; urgency=low

  * Initial Debian release. (Closes: #934137)


 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Wed, 07 Aug 2019 05:16:51 -0400

=== debian/control ===
Source: python-securesystemslib
Section: devel
Priority: optional
Maintainer: NYU Secure Systems Lab <securesystemslib-dev@googlegroups.com>
Uploaders:
 Santiago Torres-Arias <santiago@nyu.edu>,
 Holger Levsen <holger@debian.org>,
 Lukas Puehringer <lukas.puehringer@nyu.edu>,
 Justin Cappos <jcappos@nyu.edu>,
Build-Depends:
 dh-python,
 debhelper-compat (= 12),
 python3-all,
 python3-setuptools,
 python3-nacl,
 python3-cryptography,
 python3-colorama,
 python3-mock,
Standards-Version: 4.4.0
Homepage: https://ssl.engineering.nyu.edu
Vcs-Git: https://github.com/secure-systems-lab/securesystemslib.git
Vcs-Browser: https://github.com/secure-systems-lab/securesystemslib/

Package: python3-securesystemslib
Architecture: all
Depends:
  ${python3:Depends},
  ${misc:Depends},
Description: crypto and schema library for TUF and in-toto
 securesystemslib provides a high-level interface to cryptographic functions.
 It supports public-key and other cryptographic algorithms, such as ECDSA,
 Ed25519, RSA, SHA256, SHA512, etc. and a schema definition and validation
 framework.
 .
 securesystemslib is developed at the Secure Systems Lab of NYU and is used by
 the Python implementations of The Update Framework (TUF) and the software
 supply chain integrity framework in-toto.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_TEST_ARGS = tests
export PYBUILD_NAME = securesystemslib

%:
	dh $@ --with python3 --buildsystem=pybuild

# TODO: Remove testskip once upstream includes tests in the release tarball
# See https://github.com/secure-systems-lab/securesystemslib/pull/168
override_dh_auto_test:
	:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/securesystemslib/securesystemslib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-securesystemslib 0.18.0

=== debian/changelog ===
python-securesystemslib (0.18.0-2) unstable; urgency=medium

  Fix misc lintian warnings and other Debian metadata changes:

  * d/watch:
    - update to latest version 4 (fix older-debian-watch-file-standard)
    - add missing trailing newline
  * d/patches/01_use_python3_interpreter_in_tests.diff:
    - add "Forwarded: not-needed" header field for downstream-only patch
      (fix patch-not-forwarded-upstream)
  * d/control:
    - specify upstream tracking branch for downstream-related changes
    - use correct section according to package name, i.e. "python"
      (fix wrong-section-according-to-package-name)
  * d/upstream/metadata:
    - add basic metadata file (fix upstream-metadata-file-is-missing)
  * d/copyright:
    - add Upstream-Contact field
    - remove duplicate License field
    - use lower-maintenance first publication date instead of date range
  * d/changelog:
    - amend 0.18.0-1 entry to mention upstream signing key change

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Tue, 02 Feb 2021 10:55:52 +0200

python-securesystemslib (0.18.0-1) unstable; urgency=medium

  * New upstream release includes among other things:
    - an enhanced key generation, export and import interface,
    - updated documentation of interface functions,
    - and more and better tests.

  * Update d/control to:
    - remove obsolete python-dateutil dependency,
    - bump standards version to 4.5.1,
    - and compat to 13.

  * Update d/upstream/signing-key.asc

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Wed, 09 Dec 2020 08:44:34 +0200

python-securesystemslib (0.16.0-1) unstable; urgency=medium

  * New upstream release that includes i.a.:
    - New enhanced OpenPGP interface (transferred from in-toto)
    - New file and directory abstraction
    - More signature schemes and hashing algorithms
    - Improved optional/recommended dependency handling

  * Update d/rules to run newly included upstream tests on build
  * Add d/patches to fix interpreter location issues in tests
  * Update d/rules
    - Add required build dependencies for newly included tests
    - Add recommended dependencies
    - Change section from devel to utils
    - Set "Rules-Requires-Root: no" for good practice
    - Bump Standards-Version

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Thu, 13 Aug 2020 14:13:34 +0200

## python-securesystemslib 0.20.0

=== debian/changelog ===
python-securesystemslib (0.20.0-1) unstable; urgency=medium

  * New upstream release includes among other things:
    - a new signing abstraction to facilitate custom implementations,
    - and a fix for a GnuPG/OpenSSL compatibility issue with OpenPGP EdDSA
      signatures.

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Fri, 26 Feb 2021 13:58:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-securesystemslib
-Section: devel
+Section: python
 Priority: optional
 Maintainer: NYU Secure Systems Lab <securesystemslib-dev@googlegroups.com>
 Uploaders:
@@ -9,16 +9,19 @@
  Justin Cappos <jcappos@nyu.edu>,
 Build-Depends:
  dh-python,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  python3-all,
  python3-setuptools,
  python3-nacl,
  python3-cryptography,
  python3-colorama,
  python3-mock,
-Standards-Version: 4.4.0
+ python3-six,
+ gnupg2,
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://ssl.engineering.nyu.edu
-Vcs-Git: https://github.com/secure-systems-lab/securesystemslib.git
+Vcs-Git: https://github.com/secure-systems-lab/securesystemslib.git -b debian
 Vcs-Browser: https://github.com/secure-systems-lab/securesystemslib/
 
 Package: python3-securesystemslib
@@ -26,6 +29,10 @@
 Depends:
   ${python3:Depends},
   ${misc:Depends},
+Recommends:
+ gnupg2,
+ python3-cryptography,
+ python3-nacl,
 Description: crypto and schema library for TUF and in-toto
  securesystemslib provides a high-level interface to cryptographic functions.
  It supports public-key and other cryptographic algorithms, such as ECDSA,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_TEST_ARGS = tests
export PYBUILD_NAME = securesystemslib

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/securesystemslib/securesystemslib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-securesystemslib 0.23.0

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # 1. Use this script to create a pinned requirements file for each Python
 #    version
 # ```
-# for v in 2.7 3.6 3.7 3.8 3.9; do
+# for v in 3.7 3.8 3.9; do
 #   mkvirtualenv sslib-env-${v} -p python${v};
 #   pip install pip-tools;
 #   pip-compile --no-header -o requirements-${v}.txt requirements.txt;
@@ -32,8 +32,5 @@
 #    `rm requirements-?.?.txt`
 #
 cryptography >= 3.3.2; python_version >= '3'
-cryptography >= 3.3.2, < 3.4; python_version < '3'
 pynacl
 colorama
-six
-subprocess32; python_version < '3'

=== debian/changelog ===
python-securesystemslib (0.23.0-1) unstable; urgency=medium

  * New upstream release includes among other things:
    - fix race condition in gpg test cleanup function (Closes: #1008349)

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Tue, 26 Apr 2022 12:19:30 +0200

python-securesystemslib (0.22.0-1) unstable; urgency=medium

  * New upstream release includes among other things:
    - bug fix in the Signer abstract base class (#348)
    - machinery for static type checking with mypy (#361)
    - type annotations for a few modules (progress tracked in #358)
    - enhancements in the Signature class (#383, #387)

  * d/control:
    - bump standards version to 4.6.0.1

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Mon, 21 Feb 2022 12:52:17 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,8 @@
  python3-cryptography,
  python3-colorama,
  python3-mock,
- python3-six,
  gnupg2,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://ssl.engineering.nyu.edu
 Vcs-Git: https://github.com/secure-systems-lab/securesystemslib.git -b debian

## python-securesystemslib 0.26.0

=== requirements.txt ===
# Requirements for full feature install (includes all optional dependencies).
#
# This file together with 'pip-compile' is used to generate a pinned
# requirements file with all immediate and transitive dependencies.
#
# 'requirements-pinned.txt' is updated on GitHub with Dependabot, which
# triggers CI/CD builds to automatically test against updated dependencies.
cryptography >= 37.0.0
pynacl
PySPX
PyKCS11
asn1crypto

=== debian/changelog ===
python-securesystemslib (0.26.0-1) unstable; urgency=medium

  * New upstream release includes among other things:
    - A new flexible signing API with added support for Google Cloud KMS
      signing, HSM signing, and Post-quantum signing schemes, see
      https://theupdateframework.github.io/python-tuf/2023/01/24/securesystemslib-signer-api.html
    - Removal of colorama and mock (test) dependencies
    - Various fixes in the gpg subpackage
    - And much more (see upstream CHANGELOG.md)

  * d/control
    - bump standards version to 4.6.2
    - adopt upstream requirements changes
  * d/patches:
    - remove obsolete patches
    - patch tests that require unavailable PySPX package
    - other minor fixes suggested by lintian
  * d/rules:
    - export path to pkcs11 library for softhsm testing

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Tue, 31 Jan 2023 13:12:22 +0100

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,16 @@
 Build-Depends:
  dh-python,
  debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
  python3-nacl,
  python3-cryptography,
- python3-colorama,
- python3-mock,
+ python3-pykcs11,
+ python3-asn1crypto,
+ softhsm2,
  gnupg2,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://ssl.engineering.nyu.edu
 Vcs-Git: https://github.com/secure-systems-lab/securesystemslib.git -b debian
@@ -32,6 +34,8 @@
  gnupg2,
  python3-cryptography,
  python3-nacl,
+ python3-pykcs11,
+ python3-asn1crypto,
 Description: crypto and schema library for TUF and in-toto
  securesystemslib provides a high-level interface to cryptographic functions.
  It supports public-key and other cryptographic algorithms, such as ECDSA,

## python-securesystemslib 0.28.0

=== requirements.txt ===
--- 
+++ 
@@ -7,6 +7,6 @@
 # triggers CI/CD builds to automatically test against updated dependencies.
 cryptography >= 37.0.0
 pynacl
-PySPX
+PySPX; platform_system != 'Windows'
 PyKCS11
 asn1crypto

=== debian/changelog ===
python-securesystemslib (0.28.0-1) unstable; urgency=medium

  * New upstream release includes among other things:
    - Signer API improvements
    - Experimental DSSE implementation
    - And much more (see upstream CHANGELOG.md)

  * d/control
    - Change gnupg2 to gnupg (Closes: #1055407)
  * d/patches
    - 1 changed
    - 1 removed
  * d/Dockerfile
    - Added Dockerfile used to build this release on macOS

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Tue, 07 Nov 2023 12:12:00 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pykcs11,
  python3-asn1crypto,
  softhsm2,
- gnupg2,
+ gnupg,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://ssl.engineering.nyu.edu
@@ -31,7 +31,7 @@
   ${python3:Depends},
   ${misc:Depends},
 Recommends:
- gnupg2,
+ gnupg,
  python3-cryptography,
  python3-nacl,
  python3-pykcs11,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_TEST_ARGS = tests
export PYBUILD_NAME = securesystemslib
export PYKCS11LIB = /usr/lib/softhsm/libsofthsm2.so
%:
	dh $@ --with python3 --buildsystem=pybuild

## python-securesystemslib 1.2.0

=== debian/changelog ===
python-securesystemslib (1.2.0-2) unstable; urgency=medium

  * Maintain in Python team, fixing URLs and Uploaders.
  * Run wrap-and-sort -satbk.
  * Standards-Version: 4.7.0.
  * Add d/salsa-ci.yml.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 17 Dec 2024 08:14:45 +0100

python-securesystemslib (1.2.0-1) unstable; urgency=medium

  * Team upload.
    - Okay from Holger, packaging here:
    - https://salsa.debian.org/jas/securesystemslib
  * watch: Drop pgpsigurlmangle, *.asc is 404.
  * Add gbp.conf, for debian-branch.
  * New upstream version 1.2.0
  * Rework 01_rm_sphincs_tests.diff.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 11 Dec 2024 18:08:57 +0100

=== debian/control ===
Source: python-securesystemslib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 NYU Secure Systems Lab <securesystemslib-dev@googlegroups.com>,
 Santiago Torres-Arias <santiago@nyu.edu>,
 Holger Levsen <holger@debian.org>,
 Lukas Puehringer <lukas.puehringer@nyu.edu>,
 Justin Cappos <jcappos@nyu.edu>,
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gnupg,
 pybuild-plugin-pyproject,
 python3-all,
 python3-asn1crypto,
 python3-cryptography,
 python3-hatchling,
 python3-nacl,
 python3-pykcs11,
 softhsm2,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/secure-systems-lab/securesystemslib
Vcs-Git: https://salsa.debian.org/python-team/packages/securesystemslib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/securesystemslib

Package: python3-securesystemslib
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gnupg,
 python3-asn1crypto,
 python3-cryptography,
 python3-nacl,
 python3-pykcs11,
Description: crypto and schema library for TUF and in-toto
 securesystemslib provides a high-level interface to cryptographic functions.
 It supports public-key and other cryptographic algorithms, such as ECDSA,
 Ed25519, RSA, SHA256, SHA512, etc. and a schema definition and validation
 framework.
 .
 securesystemslib is developed at the Secure Systems Lab of NYU and is used by
 the Python implementations of The Update Framework (TUF) and the software
 supply chain integrity framework in-toto.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/securesystemslib/securesystemslib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-securesystemslib 1.3.0

=== debian/changelog ===
python-securesystemslib (1.3.0-3) unstable; urgency=medium

  * Mark python3-securesystemslib as Multi-Arch: foreign.
  * Use pytest and add Testsuite:autopkgtest-pkg-pybuild for debci.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 21 Aug 2025 09:16:51 +0200

python-securesystemslib (1.3.0-1) unstable; urgency=medium

  * Use dh-sequence-python3 instead of dh-python, suggested by Colin Watson.
  * gbp.conf: Use pristine-tar, suggested by Colin Watson.
  * Make Vcs-* URL match source package name, suggested by Colin Watson.
  * Drop custom Dockerfile, suggested by Colin Watson.
  * New upstream version 1.3.0
  * Standards-Version: 4.7.2.
  * Drop d/upstream/signing-key.asc due to no upstream release signs.
  * salsa-ci: Build reverse deps.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 17 Aug 2025 17:03:27 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  gnupg,
  pybuild-plugin-pyproject,
  python3-all,
@@ -20,15 +20,18 @@
  python3-hatchling,
  python3-nacl,
  python3-pykcs11,
+ python3-pytest,
  softhsm2,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/secure-systems-lab/securesystemslib
-Vcs-Git: https://salsa.debian.org/python-team/packages/securesystemslib.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/securesystemslib
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-securesystemslib.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-securesystemslib
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-securesystemslib
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_TEST_ARGS = tests
export PYBUILD_NAME = securesystemslib
export PYKCS11LIB = /usr/lib/softhsm/libsofthsm2.so

%:
	dh $@ --buildsystem=pybuild

## python-securesystemslib 1.3.1

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 # 'requirements-pinned.txt' is updated on GitHub with Dependabot, which
 # triggers CI/CD builds to automatically test against updated dependencies.
 cryptography >= 37.0.0
-pynacl
 PySPX; platform_system != 'Windows'
 PyKCS11
 asn1crypto

=== debian/changelog ===
python-securesystemslib (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Drop Rules-Requires-Root: no.
  * Use watch v5.
  * Modernize Salsa CI revbuilds.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 29 Sep 2025 23:11:36 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  python3-pytest,
  softhsm2,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://github.com/secure-systems-lab/securesystemslib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-securesystemslib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-securesystemslib

=== debian/watch ===
Version: 5
Source: https://pypi.debian.net/securesystemslib/
Matching-Pattern: securesystemslib-@ANY_VERSION@@ARCHIVE_EXT@
Uversionmangle: s/(rc|a|b|c)/~$1/
